{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 2
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:iron_sword",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 4,
                "max": 12
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:suspicious_stew",
          "functions": [
            {
              "function": "minecraft:set_stew_effect",
              "effects": [
                {
                  "type": "minecraft:levitation",
                  "duration": 240
                }
              ]
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:chainmail_chestplate",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 15
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond_sword",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 5,
              "conditions": [
                {
                  "condition": "minecraft:random_chance",
                  "chance": 0.4
                }
              ]
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:book",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 0,
                "max": 16
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:gold_ingot",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 12
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:iron_ingot",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 4,
                "max": 16
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:gold_ore",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 4
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": 2,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:potion",
          "weight": 1,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:potion_contents": {
                  "custom_color": 6560560,
                  "custom_effects": [
                    {
                      "id": "minecraft:nausea",
                      "amplifier": 0,
                      "duration": 200
                    },
                    {
                      "id": "minecraft:regeneration",
                      "amplifier": 3,
                      "duration": 80
                    }
                  ]
                },
                "minecraft:item_name": "§r§5Wine"
              }
            }
          ]
        },
        {
          "type": "minecraft:tag",
          "name": "minecraft:fishes",
          "expand": true,
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 12,
                "max": 16
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:chorus_fruit"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:milk_bucket",
          "weight": 80,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 8
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:wet_sponge"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:golden_apple",
          "weight": 50
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:golden_carrot",
          "weight": 50
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:mushroom_stew",
          "weight": 50,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 3
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:brown_mushroom",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 6
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:red_mushroom",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 6
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:honeycomb",
          "weight": 150,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 16,
                "max": 32
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:honey_bottle",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 8,
                "max": 16
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:potato",
          "weight": 200,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 16
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:baked_potato",
          "weight": 200,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 16,
                "max": 48
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:bread",
          "weight": 250,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 14,
                "max": 16
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "value": "minecraft:chests/village/village_fisher"
        },
        {
          "type": "minecraft:loot_table",
          "value": "minecraft:chests/village/village_butcher"
        }
      ]
    }
  ]
}
